## org.eclipse.datatools.connectivity.oda.consumer.util.manifest
Class ExtensionExplorer

    java.lang.Object
      org.eclipse.datatools.connectivity.oda.consumer.util.manifest.ExtensionExplorer

    public class ExtensionExplorer

extends java.lang.Object

The Extension Explorer is the entry point to explore and access the manifest of all the ODA consumer helper extensions that implement the `org.eclipse.datatools.connectivity.oda.consumer.driverBridge` extension point. The `ExtensionExplorer` singleton instance is retrieved using the `getInstance()` method.

Method Summary
`DriverExtensionManifest` `getDriverExtensionManifest(java.lang.String driverType)` Finds and returns the extension information defined in the plugin manifest of the extension that implements the DTP ODA Consumer extension point - `org.eclipse.datatools.connectivity.oda.consumer.driverBridge`.
`static ExtensionExplorer` `getInstance()` Returns the `ExtensionExplorer` instance to explore the manifest of all ODA consumer extensions.
`PropertyProviderManifest` `getPropertyProviderManifest(java.lang.String applicationId)` Finds and returns the extension information defined in the plugin manifest of the extension that implements the DTP ODA Consumer extension point - `org.eclipse.datatools.connectivity.oda.consumer.propertyProvider`.
`void` `refresh()` Refresh the explorer, and allows it to get the latest ODA Consumer extension manifests.
`static void` `releaseInstance()` Singleton instance release method.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static ExtensionExplorer getInstance()

  Returns the `ExtensionExplorer` instance to explore the manifest of all ODA consumer extensions.

  Returns:
    the `ExtensionExplorer` singleton instance.

### releaseInstance

    public static void releaseInstance()

  Singleton instance release method.

### refresh

    public void refresh()

  Refresh the explorer, and allows it to get the latest ODA Consumer extension manifests.

### getDriverExtensionManifest

    public DriverExtensionManifest getDriverExtensionManifest(java.lang.String driverType)
                                                       throws OdaException

  Finds and returns the extension information defined in the plugin manifest of the extension that implements the DTP ODA Consumer extension point - `org.eclipse.datatools.connectivity.oda.consumer.driverBridge`.

  Parameters:
    `driverType` - the interface type id of an underlying ODA data provider.
  Returns:
    the driver bridge extension manifest information; or null, if no matching extension is found
  Throws:
    `OdaException` - if the extension manifest is invalid

### getPropertyProviderManifest

    public PropertyProviderManifest getPropertyProviderManifest(java.lang.String applicationId)
                                                         throws OdaException

  Finds and returns the extension information defined in the plugin manifest of the extension that implements the DTP ODA Consumer extension point - `org.eclipse.datatools.connectivity.oda.consumer.propertyProvider`.

  Parameters:
    `applicationId` - the unique identifier of an ODA consumer application, which embeds an engine that uses the ODA consumer helper framework.
  Returns:
    the property provider extension manifest information; or null, if no matching extension is found
  Throws:
    `OdaException` - if the extension manifest is invalid

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.